Subject: [saag] Fwd: [Uri-review] [IANA #1449893] Registration of URI scheme 'cttps'
From: Graham Klyne <[email-masked]>
To: [email-masked]
Cc: Mark Baker <[email-masked]>
Date: Tue, 12 May 2026 08:29:07 +0100
List-Id: Security Area Advisory Group <saag.ietf.org>

I’m forwarding this for information, as I’m not sure if anyone in security area would otherwise be aware of this.  

Provisional URI schemes are registered FCFS, without review, so there’s no IETF-approved action here, but it feels to me a bit like a new generic security transport being packaged as a web protocol.  I wonder if such an initiative, regardless of its security merits, should be a TLS/SSL option rather than a new protocol scheme?  I don’t know enough about security protocols to judge.

#g

(Mark Baker cc’ed for information as current URI scheme reviewer.)

Sent from my iPhone

Begin forwarded message:

> From: Sabrina Tanamal via RT <[email-masked]>
> Date: 12 May 2026 at 01:10:45 BST
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Uri-review] [IANA #1449893] Registration of URI scheme 'cttps'
> Reply-To: [email-masked]
> 
> Dear Saso,
> 
> We've added provisional URI scheme "cttps" to the registry:
> 
> https://www.iana.org/assignments/uri-schemes/prov/cttps
> 
> Registry: https://www.iana.org/assignments/uri-schemes
> 
> Per the designated expert for URI Schemes registry, we're also notifying the [email-masked] mailing list that this provisional registration has been completed.
> 
> Best regards,
> 
> Sabrina Tanamal
> IANA
> 
> _______________________________________________
> Uri-review mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]